Subject: bug#30462: flyspell-auto-correct-word 'corrects' more than the current word

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Feb 2018 06:24:01 +0200

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Tue, 20 Feb 2018 02:28:40 +0200
> 
> On 2/16/18 4:18 PM, Eli Zaretskii wrote:
> 
> > In the meantime I'm going to fix the doc string to describe the
> > behavior when the command is invoked at the same location repeatedly.
> 
> The new docstring ways "at or near that position". You might or might 
> not want to undo that.

I tried to clarify that now.

> The reason I'm unsure, though, is that flyspell is also happy to 
> consider the word before point, even if it's separated with lots of 
> whitespace. Maybe we should clarify what "current word" means for it 
> instead.

That issue is inside flyspell-get-word, so I explained it in that
function's doc string, and added references to it to
flyspell-auto-correct-word and elsewhere.